Monday, 22 January 2018

BIP4516S: Failed to find all the required WebSphere MQ java classes. Class 'com.ibm.mq.MQException' not found in CLASSPATH

I saw this today: -

BIP4516S: Failed to find all the required WebSphere MQ java classes. Class 'com.ibm.mq.MQException' not found in CLASSPATH '/opt/ibm/mqm/java/lib/com.ibm.mqjms.jar:/opt/ibm/mqm/java/lib/connector.jar:/opt/ibm/mqm/java/lib/com.ibm.mq.pcf.jar:/opt/ibm/mqm/java/lib/com.ibm.mq.jmqi.jar:/opt/ibm/mqm/java/lib/com.ibm.mq.jar:/opt/ibm/mqm/java/lib/com.ibm.mq.headers.jar:/opt/ibm/mqm/java/lib/com.ibm.mq.commonservices.jar:/opt/ibm/mqm/java/lib/com.ibm.mq.jms.Nojndi.jar:/opt/ibm/mqsi/9.0.0.2/messages:/opt/ibm/mqsi/9.0.0.2/classes:/opt/ibm/mqsi/9.0.0.2/classes/ConfigManagerProxy.jar:/opt/ibm/mqsi/9.0.0.2/classes/brokerutil.jar:/var/mqsi/common/wsrr'. 

Not all the WebSphere MQ jars are installed on this machine. Message Broker requires that WebSphere MQ for Java is installed to work correctly. 

Make sure that all the correct WebSphere MQ components are installed and that the CLASSPATH correctly contains the WebSphere MQ jar files.


when attempting to drive IBM Integration Bus (IIB) 9: -

mqsilist 

Whilst I had installed IBM MQ 8: -

/mnt/IIB9/mqlicense.sh -accept
rpm -ivh --prefix /opt/ibm/mqm /mnt/IIB9/MQSeriesRuntime-8.0.0-0.x86_64.rpm
rpm -ivh --prefix /opt/ibm/mqm /mnt/IIB9/MQSeriesServer-8.0.0-0.x86_64.rpm 


I'd forgotten to install the requisite Java runtime: -

rpm -ivh --prefix /opt/ibm/mqm /mnt/IIB9/MQSeriesJRE-8.0.0-0.x86_64.rpm 
rpm -ivh --prefix /opt/ibm/mqm /mnt/IIB9/MQSeriesJava-8.0.0-0.x86_64.rpm 


Can you say "Doh" ?

No comments: